#!/bin/bash

mpi="false"
nbranks=2
while getopts "mn:" opt; do
	case $opt in
		"m")
			mpi="true"
			;;
		"n")
			nbranks=$OPTARG
			;;
	esac
done

[ -d "data" ] || (echo "Creating dir data" ; mkdir data)
[ -d "data/velocity" ] || (echo "Creating dir data/velocity" ; mkdir data/velocity)
files=$(ls data/velocity)
for f in $files; do
	rm "data/velocity/$f"
done

if [ "$mpi" == "true" ]; then
	mpirun -n $nbranks python mwe.py "mpi"
else
	python mwe.py 
fi
